@font-face {
    font-family: 'Amandine-Light';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Amandine/Amandine-Light.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Amandine-Regular';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Amandine/Amandine-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Amandine-Medium';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Amandine/Amandine-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Amandine-Bold';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Amandine/Amandine-Bold.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Nord-Light';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Nord/Nord-Light.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'SegoeUI';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Segoe/SegoeUI.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'SegoeUI-Bold';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Segoe/SegoeUI-Bold.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'SegoeUI-Light';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Segoe/SegoeUI-Light.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'SegoeUI-Semibold';
    src: url('/wp-content/themes/wolf-casa/assets/fonts/Segoe/SegoeUI-Semibold.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

:root {
    --primary: #9C6C32;
    --white: #ffffff;
    --black: #000000;
}

/* Modern CSS Reset */
*,
*::before,
*::after {
    box-sizing: border-box;
}

* {
    margin: 0;
}

html,
body {
    height: 100%;
}

body {
    line-height: 1.3;
    -webkit-font-smoothing: antialiased;
    font-family: 'Nord-Light';
}

img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}

input,
button,
textarea,
select {
    font: inherit;
}

a {
    display: inline-block;
    text-decoration: none;
    color: inherit;
}

ul,
ol {
    list-style: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    padding: 0;
    line-height: 1.3;
}

main {
    background: linear-gradient(to right,
            #E8E3E2,
            #F6EBDB);
    width: 100%;
    max-width: 575px;
    margin: 0 auto;
}

.container {
    width: 98%;
    margin: 0 auto;
    padding: 0 12px;
}

.default-btn {
    color: var(--white);
    background-color: var(--primary);
    border: 1px solid var(--primary);
    font-size: 20px;
    padding: 12px 50px;
    border-radius: 15px;
    text-transform: capitalize;
    transition: all 0.3s ease-in-out;
}

.default-btn:hover {
    background-color: var(--white);
    color: var(--primary);
}

.logo-box {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding: 50px 0;
}

.banner {
    text-align: center;
}

.banner .image-box {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 30px 0;
}

.banner h1 {
    font-family: 'SegoeUI';
    color: var(--black);
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 5px;
}

.banner h2 {
    font-family: 'Amandine-Medium';
    color: var(--primary);
    font-size: 86px;
    line-height: 1;
    font-weight: 400;
}

.banner h3 {
    font-family: 'Amandine-Medium';
    color: var(--black);
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 10px;
}

.banner h4 {
    color: var(--black);
    font-size: 12px;
    font-weight: 400;
}

.banner .button-box {
    margin-bottom: 30px;
}

.how .section-heading h2 {
    font-family: 'Amandine-Medium';
    text-align: center;
    text-transform: uppercase;
    color: var(--primary);
    font-size: 40px;
    margin-bottom: 30px;
}

.how .steps {
    max-width: 80%;
    margin: 0 auto;
    padding-bottom: 30px;
}

.how .step {
    border: 1px solid var(--primary);
    border-radius: 20px;
    padding: 15px 30px;
    display: flex;
    gap: 20px;
    text-align: center;
}

.how .step:not(:last-child) {
    margin-bottom: 10px;
}

.step .count h3 {
    font-family: 'Amandine-Regular';
    font-size: 72px;
    line-height: 1;
}

.step .text-box {
    width: 100%;
}

.step .text-box h4 {
    font-family: 'Amandine-Medium';
    font-size: 48px;
    line-height: 1;
    color: var(--primary);
    margin-bottom: 15px;
    text-transform: capitalize;
}

.step .text-box p,
.step .text-box a {
    display: block;
    font-size: 14px;
}

.step .text-box .devider {
    width: 50%;
    height: 1px;
    background-color: var(--primary);
    margin: 20px auto;
}

/* Overlay */
.popup-overlay {
    position: relative;
    max-width: 575px;
    margin: 0 auto;
    position: fixed;
    inset: 0;
    background: linear-gradient(to right,
            #E8E3E2,
            #F6EBDB);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 999;
    opacity: 0;
    pointer-events: none;
    transition: 0.3s ease;
}

.popup-overlay::after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background-color: var(--black);
    opacity: 0.2;
}

/* Active popup */
.popup-overlay.active {
    opacity: 1;
    pointer-events: all;
}

/* Card */
.popup-card {
    background: #f4f4f4;
    width: 90%;
    max-width: 500px;
    border-radius: 18px;
    padding: 28px;
    position: relative;
    z-index: 9;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
    animation: popupScale 0.25s ease;
    min-height: 70dvh;
    display: flex;
    align-items: center;
    justify-content: center;
}

@keyframes popupScale {
    from {
        transform: scale(.9);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

/* Close */
.popup-close {
    position: absolute;
    top: 14px;
    right: 16px;
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
}

/* Body */
.popup-body {
    width: 100%;
    text-align: center;
}

.popup-body h2 {
    font-family: 'Amandine-Medium';
    font-size: 58px;
    color: var(--primary);
    margin-bottom: 10px;
}

.popup-body p {
    font-family: 'SegoeUI-Semibold';
    color: var(--black);
    margin-bottom: 25px;
}

/* Button */
.popup-btn {
    background: #9b6a2e;
    color: white;
    border: none;
    padding: 14px 20px;
    border-radius: 10px;
    font-size: 16px;
    cursor: pointer;
    width: 100%;
    transition: 0.2s;
}

.popup-btn:hover {
    background: #7e541f;
}

.popup-body form input {
    width: 100%;
    padding: 10px 10px 10px 40px;
    border: 1px solid #AEB0B3;
    border-radius: 10px;
    color: #00112C;
    font-size: 14px;
    transition: all 0.3s ease-in-out;
    background: url("../images/name.svg");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 20px;
}

.popup-body form input:focus-visible {
    border: 1px solid var(--primary);
    outline: none;
}

.popup-body form input[name="pg_phone"] {
    background: url("../images/phone.svg");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 20px;
}

.popup-body form input[name="pg_city"] {
    background: url("../images/city.svg");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 20px;
}

.popup-body form input[name="pg_email"] {
    background: url("../images/email.svg");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 20px;
}

.popup-body form input[name="pg_photo"] {
    padding: 10px;
    background-image: none;
    cursor: pointer;
}

.popup-body form label {
    width: 100%;
    text-align: left;
    display: inline-block;
    margin-bottom: 5px;
}

.popup-body form button[type="submit"] {
    width: 100%;
    color: var(--white);
    background-color: var(--primary);
    border: 1px solid var(--primary);
    font-size: 20px;
    padding: 12px 50px;
    border-radius: 15px;
    text-transform: capitalize;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.popup-body form button[type="submit"]:hover {
    background-color: var(--white);
    color: var(--primary);
}

.popup-body .ty-wrap .devider {
    width: 50%;
    height: 1px;
    background-color: var(--primary);
    margin: 20px auto;
}

.popup-body .ty-wrap h3 {
    font-family: 'Amandine-Medium';
    color: var(--primary);
    font-size: 42px;
    text-transform: capitalize;
    margin-bottom: 5px;
}

@media (max-width: 767px) {

    .logo-box {
        padding: 30px 0;
    }

    .default-btn {
        font-size: 18px;
    }

    .how .steps {
        max-width: 100%;
    }

    .how .section-heading h2 {
        font-size: 32px;
    }

    .step .count h3 {
        font-size: 58px;
    }

    .step .text-box h4 {
        font-size: 38px;
    }
}